Ellipsoid
Date: 2019-10-22

org.jmol.shapespecial

## Class Ellipsoid

- java.lang.Object
- - org.jmol.shapespecial.Ellipsoid

-     public class Ellipsoid
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `javajs.util.P3` | `center`
    `short` | `colix`
    `private static float[]` | `crtval`
    `(package private) java.lang.String` | `id`
    `java.util.Map<java.lang.String,java.lang.Object>` | `info`
    `(package private) boolean` | `isOn`
    `boolean` | `isValid`
    `java.lang.String` | `label`
    `(package private) float[]` | `lengths`
    `(package private) int` | `modelIndex`
    `java.lang.String` | `options`
    `(package private) int` | `percent`
    `(package private) byte` | `pid`
    `(package private) float` | `scale`
    `private float[]` | `scaleXYZ`
    `Tensor` | `tensor`
    `boolean` | `visible`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `Ellipsoid()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Ellipsoid` | `getEllipsoidForAtomTensor(Tensor t, Atom center)`
    `static Ellipsoid` | `getEmptyEllipsoid(java.lang.String id, int modelIndex)`
    `static void` | `getEquationForQuadricWithCenter(float x, float y, float z, javajs.util.M3 mToElliptical, javajs.util.V3 vTemp, javajs.util.M3 mTemp, double[] coef, javajs.util.M4 mDeriv)`
    `float` | `getLength(int i)`
    `static float` | `getThermalRadius(int prob)`
    `void` | `scaleAxes(float[] value)`
    `void` | `setCenter(javajs.util.P3 center)`
    `void` | `setLengths()`
    `void` | `setScale(float scale, boolean isPercent)`
    `protected void` | `setTensor(Tensor tensor)`
    `private void` | `validate(boolean andSetLengths)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### colix

          public short colix

    - #### visible

          public boolean visible

    - #### isValid

          public boolean isValid

    - #### center

          public javajs.util.P3 center

    - #### tensor

          public Tensor tensor

    - #### options

          public java.lang.String options

    - #### isOn

          boolean isOn

    - #### id

          java.lang.String id

    - #### modelIndex

          int modelIndex

    - #### pid

          byte pid

    - #### lengths

          float[] lengths

    - #### scale

          float scale

    - #### percent

          int percent

    - #### scaleXYZ

          private float[] scaleXYZ

    - #### info

          public java.util.Map<java.lang.String,java.lang.Object> info

    - #### label

          public java.lang.String label

    - #### crtval

          private static final float[] crtval

  - ### Constructor Detail

    - #### Ellipsoid

          private Ellipsoid()

  - ### Method Detail

    - #### getEmptyEllipsoid

          public static Ellipsoid getEmptyEllipsoid(java.lang.String id,
                                                    int modelIndex)

    - #### getEllipsoidForAtomTensor

          public static Ellipsoid getEllipsoidForAtomTensor(Tensor t,
                                                            Atom center)

    - #### setCenter

          public void setCenter(javajs.util.P3 center)

    - #### getLength

          public float getLength(int i)

    - #### scaleAxes

          public void scaleAxes(float[] value)

    - #### setLengths

          public void setLengths()

    - #### setScale

          public void setScale(float scale,
                               boolean isPercent)

    - #### getThermalRadius

          public static final float getThermalRadius(int prob)

    - #### setTensor

          protected void setTensor(Tensor tensor)

    - #### validate

          private void validate(boolean andSetLengths)

    - #### getEquationForQuadricWithCenter

          public static void getEquationForQuadricWithCenter(float x,
                                                             float y,
                                                             float z,
                                                             javajs.util.M3 mToElliptical,
                                                             javajs.util.V3 vTemp,
                                                             javajs.util.M3 mTemp,
                                                             double[] coef,
                                                             javajs.util.M4 mDeriv)